<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionDigInStash Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/d5a/class_action_dig_in_stash.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ActionDigInStash Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ActionDigInStash:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../dc/d5a/class_action_dig_in_stash.png" usemap="#ActionDigInStash_map" alt=""/>
  <map id="ActionDigInStash_map" name="ActionDigInStash_map">
<area href="../../d6/d3f/class_action_continuous_base.html" alt="ActionContinuousBase" shape="rect" coords="0,0,139,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a7c777db8f3779d6e82ec1fb940194f38"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d5a/class_action_dig_in_stash.html#a7c777db8f3779d6e82ec1fb940194f38">ActionDigInStash</a> ()</td></tr>
<tr class="separator:a7c777db8f3779d6e82ec1fb940194f38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66a7cc7b3a426b6d29052edb52706bc1"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d5a/class_action_dig_in_stash.html#a66a7cc7b3a426b6d29052edb52706bc1">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:a66a7cc7b3a426b6d29052edb52706bc1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad41fc91b753c26a64bcc41ca59a042ad"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d5a/class_action_dig_in_stash.html#ad41fc91b753c26a64bcc41ca59a042ad">ActionCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:ad41fc91b753c26a64bcc41ca59a042ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8341718529c552c9a7f617ca665cdc4"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d5a/class_action_dig_in_stash.html#aa8341718529c552c9a7f617ca665cdc4">OnExecuteClient</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:aa8341718529c552c9a7f617ca665cdc4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a367e99bebc79ff55db66a305c3868053"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d5a/class_action_dig_in_stash.html#a367e99bebc79ff55db66a305c3868053">OnExecuteServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a367e99bebc79ff55db66a305c3868053"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b84df15207860241841856fe33bee75"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d5a/class_action_dig_in_stash.html#a4b84df15207860241841856fe33bee75">SpawnParticleShovelRaise</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a4b84df15207860241841856fe33bee75"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8366cad47b7ddf59e24caf49c235cce5"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d5a/class_action_dig_in_stash.html#a8366cad47b7ddf59e24caf49c235cce5">OnFinishProgressServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a8366cad47b7ddf59e24caf49c235cce5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4bd566b2f2b0ca37f4e2c28ca3b3aee"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d5a/class_action_dig_in_stash.html#ad4bd566b2f2b0ca37f4e2c28ca3b3aee">GetAdminLogMessage</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:ad4bd566b2f2b0ca37f4e2c28ca3b3aee"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:aced342fca21db1edcead236bcf59ca2e"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d5a/class_action_dig_in_stash.html#aced342fca21db1edcead236bcf59ca2e">m_DigStashSlopeTolerance</a> = 0.6</td></tr>
<tr class="separator:aced342fca21db1edcead236bcf59ca2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d8/d93/_action_dig_in_stash_8c_source.html#l00009">9</a> of file <a class="el" href="../../d8/d93/_action_dig_in_stash_8c_source.html">ActionDigInStash.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a7c777db8f3779d6e82ec1fb940194f38" name="a7c777db8f3779d6e82ec1fb940194f38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c777db8f3779d6e82ec1fb940194f38">&#9670;&#160;</a></span>ActionDigInStash()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionDigInStash::ActionDigInStash </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d93/_action_dig_in_stash_8c_source.html#l00013">13</a> of file <a class="el" href="../../d8/d93/_action_dig_in_stash_8c_source.html">ActionDigInStash.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ad41fc91b753c26a64bcc41ca59a042ad" name="ad41fc91b753c26a64bcc41ca59a042ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad41fc91b753c26a64bcc41ca59a042ad">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionDigInStash::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >was initialized from inventory?</p>
<p >Check slope angle</p>

<p class="definition">Definition at line <a class="el" href="../../d8/d93/_action_dig_in_stash_8c_source.html#l00029">29</a> of file <a class="el" href="../../d8/d93/_action_dig_in_stash_8c_source.html">ActionDigInStash.c</a>.</p>

</div>
</div>
<a id="a66a7cc7b3a426b6d29052edb52706bc1" name="a66a7cc7b3a426b6d29052edb52706bc1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a66a7cc7b3a426b6d29052edb52706bc1">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionDigInStash::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d93/_action_dig_in_stash_8c_source.html#l00023">23</a> of file <a class="el" href="../../d8/d93/_action_dig_in_stash_8c_source.html">ActionDigInStash.c</a>.</p>

</div>
</div>
<a id="ad4bd566b2f2b0ca37f4e2c28ca3b3aee" name="ad4bd566b2f2b0ca37f4e2c28ca3b3aee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad4bd566b2f2b0ca37f4e2c28ca3b3aee">&#9670;&#160;</a></span>GetAdminLogMessage()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ActionDigInStash::GetAdminLogMessage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d93/_action_dig_in_stash_8c_source.html#l00165">165</a> of file <a class="el" href="../../d8/d93/_action_dig_in_stash_8c_source.html">ActionDigInStash.c</a>.</p>

</div>
</div>
<a id="aa8341718529c552c9a7f617ca665cdc4" name="aa8341718529c552c9a7f617ca665cdc4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa8341718529c552c9a7f617ca665cdc4">&#9670;&#160;</a></span>OnExecuteClient()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionDigInStash::OnExecuteClient </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d93/_action_dig_in_stash_8c_source.html#l00104">104</a> of file <a class="el" href="../../d8/d93/_action_dig_in_stash_8c_source.html">ActionDigInStash.c</a>.</p>

</div>
</div>
<a id="a367e99bebc79ff55db66a305c3868053" name="a367e99bebc79ff55db66a305c3868053"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a367e99bebc79ff55db66a305c3868053">&#9670;&#160;</a></span>OnExecuteServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionDigInStash::OnExecuteServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d93/_action_dig_in_stash_8c_source.html#l00111">111</a> of file <a class="el" href="../../d8/d93/_action_dig_in_stash_8c_source.html">ActionDigInStash.c</a>.</p>

</div>
</div>
<a id="a8366cad47b7ddf59e24caf49c235cce5" name="a8366cad47b7ddf59e24caf49c235cce5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8366cad47b7ddf59e24caf49c235cce5">&#9670;&#160;</a></span>OnFinishProgressServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionDigInStash::OnFinishProgressServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d93/_action_dig_in_stash_8c_source.html#l00126">126</a> of file <a class="el" href="../../d8/d93/_action_dig_in_stash_8c_source.html">ActionDigInStash.c</a>.</p>

</div>
</div>
<a id="a4b84df15207860241841856fe33bee75" name="a4b84df15207860241841856fe33bee75"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b84df15207860241841856fe33bee75">&#9670;&#160;</a></span>SpawnParticleShovelRaise()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionDigInStash::SpawnParticleShovelRaise </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d93/_action_dig_in_stash_8c_source.html#l00121">121</a> of file <a class="el" href="../../d8/d93/_action_dig_in_stash_8c_source.html">ActionDigInStash.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="aced342fca21db1edcead236bcf59ca2e" name="aced342fca21db1edcead236bcf59ca2e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aced342fca21db1edcead236bcf59ca2e">&#9670;&#160;</a></span>m_DigStashSlopeTolerance</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> ActionDigInStash::m_DigStashSlopeTolerance = 0.6</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d93/_action_dig_in_stash_8c_source.html#l00011">11</a> of file <a class="el" href="../../d8/d93/_action_dig_in_stash_8c_source.html">ActionDigInStash.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/Continuous/<a class="el" href="../../d8/d93/_action_dig_in_stash_8c_source.html">ActionDigInStash.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dc/d5a/class_action_dig_in_stash.html">ActionDigInStash</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
